Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenMetricContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenMetricContainerImpl

    public interface GenMetricContainer

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Metric Container'.

The following features are supported:

- `Editor Gen`
- `Metrics`

See Also:
  `GMFGenPackage.getGenMetricContainer()`
** Generated **
Model:

Method Summary
`java.util.Set<org.eclipse.emf.codegen.ecore.genmodel.GenPackage>` `getAllTargetedModelPackages()`
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`org.eclipse.emf.common.util.EList<GenMetricRule>` `getMetrics()` Returns the value of the 'Metrics' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Metrics`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenMetricContainer_EditorGen()`, `GenEditorGenerator.getMetrics()`
  ** Generated **
  Model:
    opposite="metrics" resolveProxies="false" required="true" transient="false" changeable="false"

### getMetrics

    org.eclipse.emf.common.util.EList<GenMetricRule> getMetrics()

  Returns the value of the 'Metrics' containment reference list. The list contents are of type `GenMetricRule`. It is bidirectional and its opposite is '`Container`'.

  If the meaning of the 'Metrics' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metrics' containment reference list.
  See Also:
    `GMFGenPackage.getGenMetricContainer_Metrics()`, `GenMetricRule.getContainer()`
  ** Generated **
  Model:
    opposite="container" containment="true" required="true"

### getAllTargetedModelPackages

    java.util.Set<org.eclipse.emf.codegen.ecore.genmodel.GenPackage> getAllTargetedModelPackages()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.